Bug 182966 - (argus) Review Request: argus
Review Request: argus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-24 14:56 EST by Gabriel Somlo
Modified: 2014-09-30 11:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 10:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2006-02-24 14:56:44 EST
Spec Name or Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Name or Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-1.src.rpm
Description: Argus (Audit Record Generation and Utilization System) is an
IP network transaction audit tool. The data generated by argus can be used
for a wide range of tasks such as network operations, security and
performance management.

Second package -- still need a sponsor :)

Also, see FIXME line in spec file: currently commenting out some %doc files
because they pull in an unwanted dependency on perl
Comment 1 Gabriel Somlo 2006-03-03 11:55:19 EST
Spec Name or Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.specSRPM Name
or Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-2.src.rpm

Fixed dependency problems with files included as %doc, also misc. spec file
improvements.

Anyone care to have a look ? :)
Comment 2 Gabriel Somlo 2006-03-05 17:55:45 EST
Spec Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-3.src.rpm

aparently, I tickled some sort of bug in rpmbuild's find-requires. Commented out
the %doc contrib from argus-clients, so package could build on vanilla FC4 box
Comment 3 Kevin Fenzi 2006-03-05 18:38:49 EST
A review:

MUST items:

OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - Licsense.
OK - License field matches in spec.
OK - License included in files
OK - Spec in american english
OK - Spec legible
OK- Md5sum of source from upstream
b90b8ea951fd0e2193b9a6bab565a139  argus-2.0.6.fixes.1.tar.gz
b90b8ea951fd0e2193b9a6bab565a139  ../argus-2.0.6.fixes.1.tar.gz
59f65159070f849211685513384fa90f  argus-clients-2.0.6.fixes.1.tar.gz
59f65159070f849211685513384fa90f  ../argus-clients-2.0.6.fixes.1.tar.gz

OK - No Forbidden buildrequires included
OK - All required buildrequires included?
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
OK - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Docs must not affect runtime.
OK - Doesn't own any files/dirs that are already owned by others.

Blockers:

1. Some rpmlint output:

This might be due to the name having 'lib*' in it:

E: argus explicit-lib-dependency libpcap

Should be installed with non executable permissions:
(currently 755, should be 644?):

E: argus script-without-shellbang
/usr/share/doc/argus-2.0.6.fixes.1/support/Config/argus.conf
E: argus script-without-shellbang
/usr/share/doc/argus-2.0.6.fixes.1/support/System/crontab
E: argus script-without-shellbang
/usr/share/doc/argus-2.0.6.fixes.1/support/Deployment/sample
E: argus script-without-shellbang
/usr/share/doc/argus-2.0.6.fixes.1/support/System/magic

Should we use /var/argus? or should that be /var/lib/argus?

W: argus non-standard-dir-in-var argus

Can be ignored ('install' in comment)

W: argus dangerous-command-in-%post install

By default the service should be disabled on install...

W: argus service-default-enabled /etc/rc.d/init.d/argus

2. There are some build issues. If you have the
# prevent perl modules in contrib from being checked for dependencies
%define __perl_requires /bin/true
%define __perl_provides /bin/true
lines in the spec, rpm fails to build with:

getOutputFrom(): Broken pipe

This is to work around a .pm file in contrib triggering lots of perl dependencies.
Possible options:

- Don't package contrib script.
- Re-name to something besides .pm file?
- Some more clever alternative that some perl/rpm guru comes up with?
Comment 4 Gabriel Somlo 2006-03-06 12:41:12 EST
Spec Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-4.src.rpm

Currently, the contrib stuff is not being packaged, and no __perl_requires
workaround is necessary.

Fixed all other issues listed in the previous comment.
Comment 5 Gabriel Somlo 2006-03-08 17:07:20 EST
Spec Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-5.src.rpm

Added patch to fix several print-formatting bugs from argus mailing list

Comment 6 Kevin Fenzi 2006-03-10 15:55:33 EST
Thanks for the updates. 

1. rpmlint shows no output now. :) 

2. You might add a README.fedora explaining that the contrib packages are not
included and where to get them, since they are no longer included. 
You could also mention what patches you have applied and where to get them (the
mailing list looks like it. ;) 

In the default /etc/argus.conf, both the output file and the host/port are
disabled, meaning when you start argus it starts fine, but you can't communicate
with it. :( A default of localhost binding might be less confusing, and allow it
to work out of the box. 

With those changes, this package can be APPROVED. 

I will go ahead and sponsor you. 
You can continue the process from the "Get a Fedora Account" section of 
http://fedoraproject.org/wiki/Extras/Contributors

If you have any questions at all, please feel free to drop me an email. 
Comment 7 Gabriel Somlo 2006-03-10 16:46:12 EST
Spec Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-6.src.rpm

Thanks again for the comments and advice !

- default argus.conf now enables listening on localhost:561

- clients subpackage now contains %doc README.fedora, explaining the
  contrib situation and origin of the printout patch
Comment 8 Gabriel Somlo 2006-03-16 10:27:42 EST
Spec Url: http://www.contrib.andrew.cmu.edu/~somlo/argus.spec
SRPM Url: http://www.contrib.andrew.cmu.edu/~somlo/argus-2.0.6.fixes.1-7.src.rpm

minor fix to argus-2.0.6.fixes.1-makefile.patch
Comment 9 Kevin Fenzi 2006-03-16 15:42:07 EST
With those changes everything looks good... should be approved and good to go. 
Comment 10 Christian Iseli 2007-01-02 19:22:41 EST
Changed summary for tracking purposes.
Comment 11 Fabian Affolter 2014-09-30 09:38:58 EDT
Package Change Request
======================
Package Name: argus
New Branches: epel7
Owners: fab
InitialCC:
Comment 12 Gwyn Ciesla 2014-09-30 11:32:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.